//================================================================================
//
//  This code is the intellectual property of Jerry Jongerius (duckware.com)
//
//================================================================================

public class G {
    public static boolean g_debug=false;

    //----------------------------------------------------------------------
    public static long tick() {
        return System.nanoTime()/1000000;
        }
    //----------------------------------------------------------------------
    public static void sleep( long ms ) {
        try { Thread.currentThread().sleep(ms); } catch (Exception e) { e.printStackTrace(); }
        }
    //----------------------------------------------------------------------
    public static void notify( Object o ) {
        try { synchronized(o) {o.notify();} } catch (Exception e) { e.printStackTrace(); }
        }
    //----------------------------------------------------------------------
    public static void wait( Object o ) {
        try { synchronized(o) {o.wait();} } catch (Exception e) { e.printStackTrace(); }
        }
    //----------------------------------------------------------------------
    public static String replace( String s, String find, String xx ) {
        int n = s.indexOf(find);
        return (n>=0) ? s.substring(0,n)+xx+replace(s.substring(n+find.length()),find,xx) : s;
        }
    }
